import { ApiGatewayManagementApiClient, ApiGatewayManagementApiClientConfig } from "@aws-sdk/client-apigatewaymanagementapi";
import * as Context from "@effect/data/Context";
import * as Data from "@effect/data/Data";
import * as Layer from "@effect/io/Layer";
declare const ApiGatewayManagementApiClientOptions_base: new <A extends Record<string, any>>(args: import("@effect/data/Types").Equals<Omit<A, keyof import("@effect/data/Equal").Equal>, {}> extends true ? void : Omit<A, keyof import("@effect/data/Equal").Equal>) => Data.Data<A & {
    _tag: "ApiGatewayManagementApiClientOptions";
}>;
export declare class ApiGatewayManagementApiClientOptions extends ApiGatewayManagementApiClientOptions_base<ApiGatewayManagementApiClientConfig> {
}
export declare const ApiGatewayManagementApiClientConfigTag: Context.Tag<ApiGatewayManagementApiClientOptions, ApiGatewayManagementApiClientOptions>;
export declare const DefaultApiGatewayManagementApiClientConfigLayer: Layer.Layer<never, never, ApiGatewayManagementApiClientOptions>;
export declare const ApiGatewayManagementApiClientInstanceTag: Context.Tag<ApiGatewayManagementApiClient, ApiGatewayManagementApiClient>;
export declare const ApiGatewayManagementApiClientInstanceLayer: Layer.Layer<ApiGatewayManagementApiClientOptions, never, ApiGatewayManagementApiClient>;
export declare const DefaultApiGatewayManagementApiClientInstanceLayer: Layer.Layer<never, never, ApiGatewayManagementApiClient>;
export {};
